Skip to main content
POST
/
v1
/
alert_routes
Creates an alert route
curl --request POST \
  --url https://api.rootly.com/v1/alert_routes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "alert_routes"
  }
}
'
import requests

url = "https://api.rootly.com/v1/alert_routes"

payload = { "data": { "type": "alert_routes" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {type: 'alert_routes'}})
};

fetch('https://api.rootly.com/v1/alert_routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "alert_routes",
    "attributes": {
      "name": "<string>",
      "alerts_source_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "enabled": true,
      "owning_team_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "rules": [
        {
          "name": "<string>",
          "destinations": [
            {
              "target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            }
          ],
          "condition_groups": [
            {
              "conditions": [
                {
                  "property_field_name": "<string>",
                  "property_field_value": "<string>",
                  "property_field_values": [
                    "<string>"
                  ],
                  "alert_urgency_ids": [
                    "<string>"
                  ],
                  "conditionable_type": "AlertField",
                  "conditionable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                }
              ],
              "position": 123
            }
          ],
          "position": 123,
          "fallback_rule": false
        }
      ]
    }
  }
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/vnd.api+json
data
object

Response

unknown attribute filtered out gracefully

data
object
required